Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.messaging
Class UnsubscribeMessage

    java.lang.Object
      rice.p2p.scribe.messaging.UnsubscribeMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage, RawSerializable

    public class UnsubscribeMessage

extends java.lang.Object
implements RawMessage

Version:
  $Id: UnsubscribeMessage.java 3670 2007-04-07 00:53:57Z jeffh $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`static short` | `TYPE`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`UnsubscribeMessage(NodeHandle source, java.util.List<Topic> topics)` Constructor which takes a unique integer Id

Method Summary
`static UnsubscribeMessage` | `build(InputBuffer buf, Endpoint endpoint)`
`int` | `getPriority()` Method which should return the priority level of this message.
`NodeHandle` | `getSource()` Method which returns this messages' source address
`java.util.List<Topic>` | `getTopics()` Method which returns this messages' topic
`short` | `getType()` Raw Serialization
`void` | `serialize(OutputBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

Constructor Detail

### UnsubscribeMessage

    public UnsubscribeMessage(NodeHandle source,
                              java.util.List<Topic> topics)

  Constructor which takes a unique integer Id

  Parameters:
    `id` - The unique id
    `source` - The source address
    `dest` - The destination address

Method Detail

### getPriority

    public int getPriority()

  Method which should return the priority level of this message. The messages can range in priority from 0 (highest priority) to Integer.MAX_VALUE (lowest) - when sending messages across the wire, the queue is sorted by message priority. If the queue reaches its limit, the lowest priority messages are discarded. Thus, applications which are very verbose should have LOW_PRIORITY or lower, and applications which are somewhat quiet are allowed to have MEDIUM_PRIORITY or possibly even HIGH_PRIORITY.

  Specified by:
    `getPriority` in interface `Message`
  Returns:
    This message's priority

### getSource

    public NodeHandle getSource()

  Method which returns this messages' source address

  Returns:
    The source of this message

### getTopics

    public java.util.List<Topic> getTopics()

  Method which returns this messages' topic

  Returns:
    The topic of this message

### getType

    public short getType()

  Raw Serialization

  Specified by:
    `getType` in interface `RawMessage`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawSerializable`
  Throws:
    `java.io.IOException`

### build

    public static UnsubscribeMessage build(InputBuffer buf,
                                           Endpoint endpoint)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.